![MagicSpoilder](https://imgur.com/unfaKYq.png)

![Warrior](https://imgur.com/sNPocJ0.png)

# Info

- This mod functions as a light armor gap filler, and provides light armor sets for Archers, Mages, Assassins, and Monks in all biomes.
- This mod adds set bonuses to all heavy armors that do not have a set bonus, and modify all existing set bonuses within game designed for RPG role play.
- This mod adds hundreds of weapons to progress through all biomes with.
- This mod now offers early game magic options with AOE special attacks & loads of new spells.
- This mod adds multiple Tiers of Healing Staffs that have 2 types of AOE heals for group healing.
- Groups mod is NOT required to heal your team mates but is reccomended for the RPG experience, along with Wacky's MMO.
- This mod now offers early game magic food.
- Odins fists can be upgraded 10 times by consuming souls throughout the game, and are seperate dual weild weapons with a set bonus.
- All recipes can be customized via JSON. 
- Provided Recipes are designed to be gap fillers for extra biomes and intended to be used with RtDBiomes, RtDMonsters, RtDSouls, and RtDOcean. 
- DeepNorthShieldBow_RtD currently does not have a recipe as the loot required to make is not yet developed in RtDMonsters. 
- RtDMonsters is next on the list to receive new Monsters, Bosses, & Locations.

# Instructions

  - All recipes can now be changed via JSON found within config\Soloredis\RtDItems\Recipes
  - Be sure to disable default recipes config toggle, and enable custom recipes.
  - Custom recipes must be placed within config\Soloredis\RtDItems\Custom\Recipes
  - For plug in and play grab the following mods below. 
  - [RtDSouls](https://thunderstore.io/c/valheim/p/Soloredis/RtDSouls/)
  - [RtDMonsters](https://thunderstore.io/c/valheim/p/Soloredis/RtDMonsters/)
  - [RtDOcean](https://thunderstore.io/c/valheim/p/Soloredis/RtDOcean/) 
  - [RtDBiomes](https://thunderstore.io/c/valheim/p/Soloredis/RtDBiomes/) 
  - Find and kill the Necromancer Lord in AshLands to craft tools required to farm DeepNorth Vegetation.
  - Slaying the DeepNorth boss is required to unlock Odins Hammer.

# Contact

* You can contact me in Horems discord.
* [Horem](https://discord.gg/WsV44Dwx4A)
* [Patreon](https://www.patreon.com/rtdmodding/about)

# Prefab IDs

<details>
  <summary>Magic Staffs & Wands</summary>

- MeadowsAirStaff_RtD
- MeadowsLighteningStaff_RtD
- BlackForestFireStaff_RtD
- BlackForestLightStaff_RtD
- SwampEarthStaff_RtD
- MountainIceStaff_RtD
- PlainsVoidStaff_RtD
- MistlandsQuakeStaff_RtD
- AshLandsStaff1_RtD
- AshLandsStaff2_RtD
- AshLandsStaff3_RtD
- DeepNorthStaff1_RtD
- DeepNorthStaff2_RtD
- DeepNorthStaff3_RtD
- HealingStaff_T1_RtD
- HealingStaff_T2_RtD
- HealingStaff_T3_RtD
- HealingStaff_T4_RtD
- MeadowsAirWand_RtD
- BlackForestLightningWand_RtD
- SwampPoisonWand_RtD
- MountainIceWand_RtD
- PlainsVoidWand_RtD
- MistlandsElementWand_RtD
- AshLandsFireWand_RtD
- DeepNorthArcaneWand_RtD
</details>

<details>
  <summary>Odins Fists</summary>

- OdinsFist_RtD
- OdinsDefender_RtD
</details>

<details>
  <summary>Meadows Weapons</summary>

- MeadowsAtgeir_RtD
- MeadowsAxe1H_RtD
- MeadowsAxe2H_RtD
- MeadowsBow_RtD
- MeadowsClub_RtD
- MeadowsDagger_RtD
- MeadowsSpear_RtD
- MeadowsSword1H_RtD
- MeadowsSword2H_RtD
</details>

<details>
  <summary>BlackForest Weapons</summary>

- BlackForestAtgeir_RtD
- BlackForestAxe1H_RtD
- BlackForestAxe2H_RtD
- BlackForestBow_RtD
- BlackForestClub_RtD
- BlackForestDagger_RtD
- BlackForestSledge_RtD
- BlackForestSpear_RtD
- BlackForestSword1H_RtD
- BlackForestSword2H_RtD
</details>

<details>
  <summary>BlackForest Armor</summary>

- BlackForestArcherChest_RtD
- BlackForestArcherHelmet_RtD
- BlackForestArcherLegs_RtD
- BlackForestHardLeatherCape_RtD
- BlackForestMageChest_Rtd
- BlackForestMageHood_RtD
- BlackForestMageLegs_RtD
- BlackForestMonkCape_RtD
- BlackForestMonkChest_RtD
- BlackForestMonkHood_RtD
- BlackForestMonkLegs_RtD
</details>

<details>
  <summary>Swamp Weapons</summary>

- SwampAtgeir_RtD
- SwampAxe1H_RtD
- SwampAxe2H_RtD
- SwampBow_RtD
- SwampClub_RtD
- SwampDagger_RtD
- SwampSledge_RtD
- SwampSpear_RtD
- SwampSword1H_RtD
- SwampSword2H_RtD
</details>

<details>
  <summary>Swamp Armor</summary>

- SwampAssassinCape_RtD
- SwampAssassinChest_RtD
- SwampAssassinHood_RtD
- SwampAssassinLegs_RtD
- SwampMageCape_RtD
- SwampMageChest_RtD
- SwampMageHood_RtD
- SwampMageLegs_RtD
- SwampMonkCape_RtD
- SwampMonkChest_RtD
- SwampMonkHood_RtD
- SwampMonkLegs_RtD
</details>

<details>
  <summary>Mountain Weapons</summary>

- MountainAtgeir_RtD
- MountainAxe1H_RtD
- MountainAxe2H_RtD
- MountainBow_RtD
- MountainClub_RtD
- MountainDagger_RtD
- MountainSledge_RtD
- MountainSpear_RtD
- MountainSword1H_RtD
- MountainSword2H_RtD
</details>

<details>
  <summary>Mountain Armor</summary>

- MountainArcherChest_RtD
- MountainArcherHelmet_RtD
- MountainArcherLegs_RtD
- MountainAssassinChest_RtD
- MountainAssassinHood_RtD
- MountainAssassinLegs_RtD
- MountainHybridCape_RtD
- MuontainMageCape_RtD
- MountainMageChest_RtD
- MountainMageHood_RtD
- MountainMageLegs_RtD
- MountainMonkCape_RtD
- MountainMonkChest_RtD
- MountainMonkHood_RtD
- MountainMonkLegs_RtD
</details>

<details>
  <summary>Plains Weapons</summary>

- PlainsAtgeir_RtD
- PlainsAxe1H_RtD
- PlainsAxe2H_RtD
- PlainsBow_RtD
- PlainsClub_RtD
- PlainsDagger_RtD
- PlainsSledge_RtD
- PlainsSpear_RtD
- PlainsSword1H_RtD
- PlainsSword2H_RtD
</details>

<details>
  <summary>Plains Armor</summary>

- PlainsArcherChest_RtD
- PlainsArcherHood_RtD
- PlainsArcherLegs_RtD
- PlainsArcherCape_RtD
- PlainsAssassinChest_RtD
- PlainsAssassinHood_RtD
- PlainsAssassinLegs_RtD
- PlainsAssassinCape_RtD
- PlainsMageCape_RtD
- PlainsMageChest_RtD
- PlainsMageHood_RtD
- PlainsMageLegs_RtD
- PlainsMonkCape_RtD
- PlainsMonkChest_RtD
- PlainsMonkHood_RtD
- PlainsMonkLegs_RtD
</details>

<details>
  <summary>Mistlands Weapons</summary>

- MistlandsAtgeir_RtD
- MistlandsAxe1H_RtD
- MistlandsAxe2H_RtD
- MistlandsBow_RtD
- MistlandsClub_RtD
- MistlandsDagger_RtD
- MistlandsSledge_RtD
- MistlandsSpear_RtD
- MistlandsSword1H_RtD
- MistlandsSword2H_RtD
</details>

<details>
  <summary>Mistlands Armor</summary>

- MistlandsArcherChest_RtD
- MistlandsArcherHood_RtD
- MistlandsArcherLegs_RtD
- MistlandsArcherCape_RtD
- MistlandsAssassinChest_RtD
- MistlandsAssassinHood_RtD
- MistlandsAssassinLegs_RtD
- MistlandsAssassinCape_Rt
- MistlandsAssassinCape_Rt
- MistlandsMonkCape_RtD
- MistlandsMonkChest_RtD
- MistlandsMonkHood_RtD
- MistlandsMonkLegs_RtD
</details>

<details>
  <summary>AshLands Weapons</summary>

- AshLandsAtgeir_RtD
- AshLandsAxe1H_RtD
- AshLandsAxe2H_RtD
- AshLandsBow_RtD
- AshLandsShieldBow_RtD
- AshLandsShield_RtD
- AshLandsClub_RtD
- AshLandsDagger_RtD
- AshLandsSledge_RtD
- AshLandsSpear_RtD
- AshLandsSword1H_RtD
- AshLandsSword2H_RtD
</details>

<details>
  <summary>AshLands Armor</summary>

- AshLandsArcherChest_RtD
- AshLandsArcherHood_RtD
- AshLandsArcherLegs_RtD
- AshLandsArcherCape_RtD
- AshLandsAssassinChest_RtD
- AshLandsAssassinHood_RtD
- AshLandsAssassinLegs_RtD
- AshLandsAssassinCape_RtD
- AshLandsMageCape_RtD
- AshLandsMageChest_RtD
- AshLandsMageHood_RtD
- AshLandsMageLegs_RtD
- AshLandsMonkCape_RtD
- AshLandsMonkChest_RtD
- AshLandsMonkHood_RtD
- AshLandsMonkLegs_RtD
- AshLandsWarriorChest_RtD
- AshLandsWarriorHelmet_RtD
- AshLAndsWarriorLegs_RtD
</details>

<details>
  <summary>DeepNorth Weapons</summary>

- DeepNorthAtgeir_RtD
- DeepNorthAxe1H1_RtD
- DeepNorthAxe2H1_RtD
- DeepNorthAxe1H2_RtD
- DeepNorthAxe2H2_RtD
- DeepNorthBow_RtD
- DeepNorthShieldBow_RtD
- DeepNorthShield_RtD
- DeepNorthClub_RtD
- DeepNorthDagger_RtD
- DeepNorthSledge1_RtD
- DeepNorthSledge2_RtD
- DeepNorthSpear_RtD
- DeepNorthSword1H1_RtD
- DeepNorthSword2H1_RtD
- DeepNorthSword1H2_RtD
- DeepNorthSword2H2_RtD
</details>

<details>
  <summary>DeepNorth Armor</summary>

- DeepNorthArcherChest_RtD
- DeepNorthArcherHood_RtD
- DeepNorthArcherLegs_RtD
- DeepNorthArcherCape_RtD
- DeepNorthAssassinChest_RtD
- DeepNorthAssassinHood_RtD
- DeepNorthAssassinLegs_RtD
- DeepNorthAssassinCape_RtD
- DeepNorthMageCape_RtD
- DeepNorthMageChest_RtD
- DeepNorthMageHood_RtD
- DeepNorthMageLegs_RtD
- DeepNorthMonkCape_RtD
- DeepNorthMonkChest_RtD
- DeepNorthMonkHood_RtD
- DeepNorthMonkLegs_RtD
- DeepNorthWarriorChest_RtD
- DeepNorthWarriorHelmet_RtD
- DeepNorthWarriorLegs_RtD
</details>













